OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectDiff Class Reference

A SelectDiff keeps the entities from a Selection, the Main
Input, which are not listed by the Second Input
.

`#include <IFSelect_SelectDiff.hxx>`

Inheritance diagram for IFSelect_SelectDiff:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectDiff ()
| Creates an empty SelectDiff .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities : they are the Entities gotten from the Main Input but not from the Diff Input .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Difference" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
virtual Standard_EXPORT Standard_Boolean | HasUniqueResult () const
| Returns always True, because RootResult gives a Unique list .

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectDiff::IFSelect_SelectDiff | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectDiff::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectControl.

virtual Standard_EXPORT Standard_Boolean IFSelect_SelectDiff::HasUniqueResult | ( |  | ) | const`[protected, virtual]`

| Reimplemented from IFSelect_Selection.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectDiff::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectDiff::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectDiff.hxx